Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class AbstractLibrary

- org.gradle.plugins.ide.eclipse.model.AbstractLibrary

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `declaredConfigurationName`
    `FileReference` | `javadocPath`
    `FileReference` | `library`
    `ModuleVersionIdentifier` | `moduleVersion`
    `FileReference` | `sourcePath`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractLibrary (groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`
    `AbstractLibrary (FileReference library)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(def o)`
    `String` | `getDeclaredConfigurationName()`
    `int` | `hashCode()`
    `void` | `setDeclaredConfigurationName(String declaredConfigurationName)`
    `void` | `setJavadocPath(FileReference path)`
    `void` | `setLibrary(FileReference library)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### @Deprecated String declaredConfigurationName

    - #### FileReference javadocPath

    - #### FileReference library

    - #### @Nullable ModuleVersionIdentifier moduleVersion

    - #### FileReference sourcePath

  - ### Constructor Detail

    - #### AbstractLibrary(groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### AbstractLibrary(FileReference library)

  - ### Method Detail

    - #### void appendNode(groovy.util.Node node)

    - #### boolean equals(def o)

    - #### String getDeclaredConfigurationName()

    - #### int hashCode()

    - #### void setDeclaredConfigurationName(String declaredConfigurationName)

    - #### void setJavadocPath(FileReference path)

    - #### void setLibrary(FileReference library)

    - #### String toString()